var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconAgentVoiceInteractionComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-agent_voice_interaction").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 18 18", fill: useCurrentColor ? 'currentColor' : 'currentColor', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("path", { d: "M16.5 4C16.5 3.44772 16.0523 3 15.5 3H2.5C1.94772 3 1.5 3.44772 1.5 4V13.25C1.5 13.8023 1.94772 14.25 2.5 14.25H6.71079C6.976 14.25 7.23036 14.3554 7.41789 14.5429L9 16.125L10.5821 14.5429C10.7696 14.3554 11.024 14.25 11.2892 14.25H15.5C16.0523 14.25 16.5 13.8023 16.5 13.25V4Z", fill: useCurrentColor ? 'currentColor' : '#009EE7', stroke: "#009EE7", strokeWidth: "1.5", strokeLinecap: "round", strokeLinejoin: "round" }),
        React.createElement("path", { d: "M7.5 4.5C7.91421 4.5 8.25 4.83579 8.25 5.25V11.6953C8.24992 12.1095 7.91416 12.4453 7.5 12.4453C7.08584 12.4453 6.75008 12.1095 6.75 11.6953V5.25C6.75 4.83579 7.08579 4.5 7.5 4.5ZM4.5 5.88086C4.91417 5.88086 5.24994 6.2167 5.25 6.63086V10.3145C5.24981 10.7285 4.9141 11.0645 4.5 11.0645C4.0859 11.0645 3.75019 10.7285 3.75 10.3145V6.63086C3.75006 6.2167 4.08583 5.88086 4.5 5.88086ZM13.5 5.88086C13.9142 5.88086 14.2499 6.2167 14.25 6.63086V10.3145C14.2498 10.7285 13.9141 11.0645 13.5 11.0645C13.0859 11.0645 12.7502 10.7285 12.75 10.3145V6.63086C12.7501 6.2167 13.0858 5.88086 13.5 5.88086ZM10.5 6.80176C10.9142 6.80176 11.25 7.13757 11.25 7.55176V9.39355C11.2499 9.80769 10.9142 10.1436 10.5 10.1436C10.0858 10.1436 9.75009 9.80769 9.75 9.39355V7.55176C9.75003 7.13757 10.0858 6.80176 10.5 6.80176Z", fill: useCurrentColor ? 'currentColor' : '#fff' }));
}
var IconAgentVoiceInteraction = React.forwardRef(IconAgentVoiceInteractionComponent);
export default IconAgentVoiceInteraction;
